##=============================================================================
## Nuxeo configuration file
##=============================================================================
## See https://doc.nuxeo.com/nxdoc/configuration-parameters-index-nuxeoconf/
## for detailed information about the settings below.

##-----------------------------------------------------------------------------
## Java
##-----------------------------------------------------------------------------

## Heap size
JAVA_OPTS=-Xms512m -Xmx1024m

## File encoding and encoded MIME parameters support
JAVA_OPTS=$JAVA_OPTS -Dfile.encoding=UTF-8 -Dmail.mime.decodeparameters=true

## No ehcache update check
JAVA_OPTS=$JAVA_OPTS -Dnet.sf.ehcache.skipUpdateCheck=true

## Update sort behavior for Arrays and Collections may throw an IllegalArgumentException
JAVA_OPTS=$JAVA_OPTS -Djava.util.Arrays.useLegacyMergeSort=true

## Prevent the JDK's HTTP client from automatically resending to the server an unsuccessful HTTP POST request
JAVA_OPTS=$JAVA_OPTS -Dsun.net.http.retryPost=false

##-----------------------------------------------------------------------------
## Nuxeo
##-----------------------------------------------------------------------------

nuxeo.force.generation=true

org.nuxeo.runtime.reload_strategy=standby

nuxeo.data.dir=/opt/nuxeo/data
nuxeo.tmp.dir=/opt/nuxeo/tmp
nuxeo.log.dir=/opt/nuxeo/logs


nuxeo.templates=postgresql-quartz-cluster

## Cluster
repository.clustering.enabled=true
repository.clustering.id={{ inventory_hostname }}
repository.binary.store=/share/binaries

## Database
nuxeo.db.host=master-db.nuxeo.private
nuxeo.db.name=nuxeo
nuxeo.db.user=nuxeo
nuxeo.db.password=nuxeo

## Redis
nuxeo.redis.enabled=true
nuxeo.redis.host=cache.nuxeo.private

## Elasticsearch
elasticsearch.client=TransportClient
elasticsearch.httpEnabled=true

elasticsearch.addressList=elastic-node-1:9300
elasticsearch.clusterName=elasticsearch
elasticsearch.indexName=nuxeo
elasticsearch.indexNumberOfReplicas=0
elasticsearch.httpReadOnly.baseUrl=http://elastic-node-1:9200/

audit.elasticsearch.enabled=true
audit.elasticsearch.indexName=audit

seqgen.elasticsearch.indexName=uidgen

# Storage
nuxeo.gcp.storage.bucket={{ gcp.bucket }}
nuxeo.gcp.storage.bucket_prefix=file/
nuxeo.gcp.project={{ gcp.project }}
nuxeo.gcp.credentials={{ gcp.credentials }}


nuxeo.wizard.done=true
